import { Component, Input } from '@angular/core';
import { IonButton, IonButtons, IonContent, IonHeader, IonIcon, IonTitle, IonToolbar, ModalController } from '@ionic/angular/standalone';

@Component({
  selector: 'app-image2-popup',
  templateUrl: './image2-popup.component.html',
  styleUrls: ['./image2-popup.component.scss'],
  standalone: true,
  imports: [IonContent, IonHeader, IonButton, IonButtons, IonToolbar, IonTitle, IonIcon]
})
export class Image2PopupComponent {
  @Input() imageUrl: string = '';
  @Input() description: string = '';

  constructor(private modalController: ModalController) {}

  ngOnInit() {}

  close() {
    this.modalController.dismiss();
  }
}
